import sys
sys.path.append("../")
sys.path.append("../../")
from ffc.compiler.compiler import *

name = "Elasticity"

a = None
L = None
    
dx = Integral("interior")
ds = Integral("boundary")

i = Index()
j = Index()
k = Index()
l = Index()
m = Index()
n = Index()

# Copyright (c) 2005 Johan Jansson.
# Licensed under the GNU GPL Version 2
# Modified by Anders Logg 2005.
#
# The bilinear form e(u) : e(v) for linear
# elasticity with e(v) = 1/2 (grad(v) + grad(v)^T)
#
# Compile this form with FFC: ffc Elasticity.form

element = FiniteElement("Vector Lagrange", "tetrahedron", 1)

v = BasisFunction(element)
u = BasisFunction(element)

a = 0.25*(D(u[i], j) + D(u[j], i))*(D(v[i], j) + D(v[j], i))*dx


compile([a, L], name, "C++", "GNU GPL Version 2")    
