import sys
sys.path.append("../")
sys.path.append("../../")
from ffc.compiler.compiler import *

name = "Stokes"

a = None
L = None
    
dx = Integral("interior")
ds = Integral("boundary")

i = Index()
j = Index()
k = Index()
l = Index()
m = Index()
n = Index()

# Copyright (c) 2005 Anders Logg (logg@tti-c.org)
# Licensed under the GNU GPL Version 2
#
# The bilinear form a(v, u) and Linear form L(v) for the Stokes
# equations using a mixed formulation (Taylor-Hood elements).

# Compile this form with FFC: ffc Stokes.form

P1 = FiniteElement("Lagrange", "triangle", 1)
P2 = FiniteElement("Vector Lagrange", "triangle", 2)
TH = P2 + P1

(v, q) = BasisFunctions(TH)
(u, p) = BasisFunctions(TH)

f = Function(P2)

a = (dot(grad(u), grad(v)) - p*div(v) + div(u)*q)*dx
L = dot(f, v)*dx


compile([a, L], name, "C++", "GNU GPL Version 2")    
